const express = require('express');
const router = express.Router();
const productController = require('../controllers/productController');

// แสดงสินค้าทั้งหมด
router.get('/', productController.getAllProducts);

// เพิ่มสินค้าใหม่
router.get('/addProduct', productController.getAddProductPage);
router.post('/create', productController.createProduct);

// ลบสินค้า
router.get('/delete/:id', productController.deleteProduct);

// ค้นหาสินค้า
router.get('/search', productController.searchProduct);

// สั่งสินค้า
router.post('/orders/place/:id', productController.placeOrder);

// แก้ไขสินค้า
router.get('/edit/:id', productController.getEditProductPage);
router.post('/edit/:id', productController.updateProduct);

module.exports = router;
